function PercentAjustmentService(restEngine) {
    
    this.updatePercentAdjustments = function(row) {
        return restEngine.post('cmp_cadastros#/updatePercentAdjustments', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.deletePercentAdjustments = function(dataset) {
        return restEngine.post('cmp_cadastros#/deletePercentAdjustments', {
            "requestType": "DataSet",
            "dataset": dataset
        });
    };
    
    this.addPercentAdjustments = function(row) {
        return restEngine.post('cmp_cadastros#/addPercentAdjustments', {
            "requestType": "Row",
            "row": row
        });
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('PercentAjustmentService', PercentAjustmentService);
});